diff --git a/kimap/fetchjob.cpp b/kimap/fetchjob.cpp
index 32582b2..bbb12a4 100644
--- a/kimap/fetchjob.cpp
+++ b/kimap/fetchjob.cpp
@@ -20,8 +20,8 @@
 #include "fetchjob.h"
 
 #include <QtCore/QTimer>
-#include <kdebug.h>
-#include <klocale.h>
+#include <KDE/KDebug>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class FetchJobPrivate : public JobPrivate
   {
     public:
-      FetchJobPrivate( FetchJob *job, Session *session, const QString& name ) : JobPrivate( session, name ), q(job), uidBased(false) { }
+      FetchJobPrivate( FetchJob *job, Session *session, const QString& name ) : JobPrivate( session, name ), q( job ), uidBased( false ) { }
       ~FetchJobPrivate() { }
 
       void parseBodyStructure( const QByteArray &structure, int &pos, KMime::Content *content );
@@ -87,9 +87,9 @@ namespace KIMAP
 using namespace KIMAP;
 
 FetchJob::FetchJob( Session *session )
-  : Job( *new FetchJobPrivate(this, session, i18n("Fetch")) )
+  : Job( *new FetchJobPrivate( this, session, i18n( "Fetch" ) ) )
 {
-  Q_D(FetchJob);
+  Q_D( FetchJob );
   d->scope.mode = FetchScope::Content;
   connect( &d->emitPendingsTimer, SIGNAL(timeout()),
            this, SLOT(emitPendings()) );
@@ -101,38 +101,38 @@ FetchJob::~FetchJob()
 
 void FetchJob::setSequenceSet( const ImapSet &set )
 {
-  Q_D(FetchJob);
+  Q_D( FetchJob );
   Q_ASSERT( !set.toImapSequenceSet().trimmed().isEmpty() );
   d->set = set;
 }
 
 ImapSet FetchJob::sequenceSet() const
 {
-  Q_D(const FetchJob);
+  Q_D( const FetchJob );
   return d->set;
 }
 
 void FetchJob::setUidBased(bool uidBased)
 {
-  Q_D(FetchJob);
+  Q_D( FetchJob );
   d->uidBased = uidBased;
 }
 
 bool FetchJob::isUidBased() const
 {
-  Q_D(const FetchJob);
+  Q_D( const FetchJob );
   return d->uidBased;
 }
 
 void FetchJob::setScope( const FetchScope &scope )
 {
-  Q_D(FetchJob);
+  Q_D( FetchJob );
   d->scope = scope;
 }
 
 FetchJob::FetchScope FetchJob::scope() const
 {
-  Q_D(const FetchJob);
+  Q_D( const FetchJob );
   return d->scope;
 }
 
@@ -163,7 +163,7 @@ QMap<qint64, qint64> FetchJob::uids() const
 
 void FetchJob::doStart()
 {
-  Q_D(FetchJob);
+  Q_D( FetchJob );
 
   QByteArray parameters = d->set.toImapSequenceSet()+' ';
   Q_ASSERT( !parameters.trimmed().isEmpty() );
@@ -171,51 +171,51 @@ void FetchJob::doStart()
   switch ( d->scope.mode ) {
   case FetchScope::Headers:
     if ( d->scope.parts.isEmpty() ) {
-      parameters+="(RFC822.SIZE INTERNALDATE BODY.PEEK[HEADER.FIELDS (TO FROM MESSAGE-ID REFERENCES IN-REPLY-TO SUBJECT DATE)] FLAGS UID)";
+      parameters += "(RFC822.SIZE INTERNALDATE BODY.PEEK[HEADER.FIELDS (TO FROM MESSAGE-ID REFERENCES IN-REPLY-TO SUBJECT DATE)] FLAGS UID)";
     } else {
-      parameters+='(';
+      parameters += '(';
       foreach ( const QByteArray &part, d->scope.parts ) {
-        parameters+="BODY.PEEK["+part+".MIME] ";
+        parameters += "BODY.PEEK[" + part + ".MIME] ";
       }
-      parameters+="UID)";
+      parameters += "UID)";
     }
     break;
   case FetchScope::Flags:
-    parameters+="(FLAGS UID)";
+    parameters += "(FLAGS UID)";
     break;
   case FetchScope::Structure:
-    parameters+="(BODYSTRUCTURE UID)";
+    parameters += "(BODYSTRUCTURE UID)";
     break;
   case FetchScope::Content:
     if ( d->scope.parts.isEmpty() ) {
-      parameters+="(BODY.PEEK[] UID)";
+      parameters += "(BODY.PEEK[] UID)";
     } else {
-      parameters+='(';
+      parameters += '(';
       foreach ( const QByteArray &part, d->scope.parts ) {
-        parameters+="BODY.PEEK["+part+"] ";
+        parameters += "BODY.PEEK[" + part + "] ";
       }
-      parameters+="UID)";
+      parameters += "UID)";
     }
     break;
   case FetchScope::Full:
-    parameters+="(RFC822.SIZE INTERNALDATE BODY.PEEK[] FLAGS UID)";
+    parameters += "(RFC822.SIZE INTERNALDATE BODY.PEEK[] FLAGS UID)";
     break;
   case FetchScope::HeaderAndContent:
     if ( d->scope.parts.isEmpty() ) {
-      parameters+="(BODY.PEEK[] FLAGS UID)";
+      parameters += "(BODY.PEEK[] FLAGS UID)";
     } else {
-      parameters+="(BODY.PEEK[HEADER.FIELDS (TO FROM MESSAGE-ID REFERENCES IN-REPLY-TO SUBJECT DATE)]";
+      parameters += "(BODY.PEEK[HEADER.FIELDS (TO FROM MESSAGE-ID REFERENCES IN-REPLY-TO SUBJECT DATE)]";
       foreach ( const QByteArray &part, d->scope.parts ) {
-        parameters+=" BODY.PEEK["+part+".MIME] BODY.PEEK["+part+"]"; //krazy:exclude=doublequote_chars
+        parameters += " BODY.PEEK[" + part + ".MIME] BODY.PEEK[" + part + "]"; //krazy:exclude=doublequote_chars
       }
-      parameters+=" FLAGS UID)";
+      parameters += " FLAGS UID)";
     }
     break;
   }
 
   QByteArray command = "FETCH";
   if ( d->uidBased ) {
-    command = "UID "+command;
+    command = "UID " + command;
   }
 
   d->emitPendingsTimer.start( 100 );
@@ -225,21 +225,21 @@ void FetchJob::doStart()
 
 void FetchJob::handleResponse( const Message &response )
 {
-  Q_D(FetchJob);
+  Q_D( FetchJob );
 
   // We can predict it'll be handled by handleErrorReplies() so stop
   // the timer now so that result() will really be the last emitted signal.
-  if ( !response.content.isEmpty()
-       && d->tags.size() == 1
-       && d->tags.contains( response.content.first().toString() ) ) {
+  if ( !response.content.isEmpty() &&
+       d->tags.size() == 1 &&
+       d->tags.contains( response.content.first().toString() ) ) {
     d->emitPendingsTimer.stop();
     d->emitPendings();
   }
 
-  if (handleErrorReplies(response) == NotHandled ) {
-    if ( response.content.size() == 4
-           && response.content[2].toString()=="FETCH"
-           && response.content[3].type()==Message::Part::List ) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() == 4 &&
+         response.content[2].toString() == "FETCH" &&
+         response.content[3].type() == Message::Part::List ) {
 
       qint64 id = response.content[1].toString().toLongLong();
       QList<QByteArray> content = response.content[3].toList();
@@ -249,67 +249,69 @@ void FetchJob::handleResponse( const Message &response )
       MessageParts parts;
 
       for ( QList<QByteArray>::ConstIterator it = content.constBegin();
-            it!=content.constEnd(); ++it ) {
+            it != content.constEnd(); ++it ) {
         QByteArray str = *it;
         ++it;
 
-        if ( it==content.constEnd() ) { // Uh oh, message was truncated?
+        if ( it == content.constEnd() ) { // Uh oh, message was truncated?
           kWarning() << "FETCH reply got truncated, skipping.";
           break;
         }
 
-        if ( str=="UID" ) {
+        if ( str == "UID" ) {
           d->pendingUids[id] = it->toLongLong();
-        } else if ( str=="RFC822.SIZE" ) {
+        } else if ( str == "RFC822.SIZE" ) {
           d->pendingSizes[id] = it->toLongLong();
-        } else if ( str=="INTERNALDATE" ) {
+        } else if ( str == "INTERNALDATE" ) {
           message->date()->setDateTime( KDateTime::fromString( *it, KDateTime::RFCDate ) );
-        } else if ( str=="FLAGS" ) {
-          if ( (*it).startsWith('(') && (*it).endsWith(')') ) {
+        } else if ( str == "FLAGS" ) {
+          if ( ( *it ).startsWith( '(' ) && ( *it ).endsWith( ')' ) ) {
             QByteArray str = *it;
-            str.chop(1);
-            str.remove(0, 1);
-            d->pendingFlags[id] = str.split(' ');
+            str.chop( 1 );
+            str.remove( 0, 1 );
+            d->pendingFlags[id] = str.split( ' ' );
           } else {
             d->pendingFlags[id] << *it;
           }
-        } else if ( str=="BODYSTRUCTURE" ) {
+        } else if ( str == "BODYSTRUCTURE" ) {
           int pos = 0;
-          d->parseBodyStructure(*it, pos, message.get());
+          d->parseBodyStructure( *it, pos, message.get() );
           message->assemble();
           d->pendingMessages[id] = message;
-        } else if ( str.startsWith( "BODY[") ) { //krazy:exclude=strings
-          if ( !str.endsWith(']') ) { // BODY[ ... ] might have been split, skip until we find the ]
-            while ( !(*it).endsWith(']') ) ++it;
+        } else if ( str.startsWith( "BODY[" ) ) { //krazy:exclude=strings
+          if ( !str.endsWith( ']' ) ) { // BODY[ ... ] might have been split, skip until we find the ]
+            while ( !( *it ).endsWith( ']' ) ) {
+              ++it;
+            }
             ++it;
           }
 
           int index;
-          if ( (index=str.indexOf("HEADER"))>0 || (index=str.indexOf("MIME"))>0 ) { // headers
-            if ( str[index-1]=='.' ) {
-              QByteArray partId = str.mid( 5, index-6 );
+          if ( ( index = str.indexOf( "HEADER" ) ) > 0 || ( index = str.indexOf( "MIME" ) ) > 0 ) { // headers
+            if ( str[index-1] == '.' ) {
+              QByteArray partId = str.mid( 5, index - 6 );
               if ( !parts.contains( partId ) ) {
                   parts[partId] = ContentPtr( new KMime::Content );
               }
-              parts[partId]->setHead(*it);
+              parts[partId]->setHead( *it );
               parts[partId]->parse();
               d->pendingParts[id] = parts;
             } else {
-              message->setHead(*it);
+              message->setHead( *it );
               shouldParseMessage = true;
             }
           } else { // full payload
-            if ( str=="BODY[]" ) {
-              message->setContent( KMime::CRLFtoLF(*it) );
+            if ( str == "BODY[]" ) {
+              message->setContent( KMime::CRLFtoLF( *it ) );
               shouldParseMessage = true;
 
               d->pendingMessages[id] = message;
             } else {
-              QByteArray partId = str.mid( 5, str.size()-6 );
+              QByteArray partId = str.mid( 5, str.size() - 6 );
               if ( !parts.contains( partId ) ) {
                 parts[partId] = ContentPtr( new KMime::Content );
               }
-              parts[partId]->setBody(*it);
+              parts[partId]->setBody( *it );
               parts[partId]->parse();
 
               d->pendingParts[id] = parts;
@@ -334,21 +336,20 @@ void FetchJob::handleResponse( const Message &response )
 
 void FetchJobPrivate::parseBodyStructure(const QByteArray &structure, int &pos, KMime::Content *content)
 {
-  skipLeadingSpaces(structure, pos);
+  skipLeadingSpaces( structure, pos );
 
-  if ( structure[pos]!='(' ) {
+  if ( structure[pos] != '(' ) {
     return;
   }
 
   pos++;
 
-
-  if ( structure[pos]!='(' ) { // simple part
+  if ( structure[pos] != '(' ) { // simple part
     pos--;
     parsePart( structure, pos, content );
   } else { // multi part
-    content->contentType()->setMimeType("MULTIPART/MIXED");
-    while ( pos<structure.size() && structure[pos]=='(' ) {
+    content->contentType()->setMimeType( "MULTIPART/MIXED" );
+    while ( pos < structure.size() && structure[pos] == '(' ) {
       KMime::Content *child = new KMime::Content;
       content->addContent( child );
       parseBodyStructure( structure, pos, child );
@@ -356,17 +357,17 @@ void FetchJobPrivate::parseBodyStructure(const QByteArray &structure, int &pos,
     }
 
     QByteArray subType = parseString( structure, pos );
-    content->contentType()->setMimeType( "MULTIPART/"+subType );
+    content->contentType()->setMimeType( "MULTIPART/" + subType );
 
     QByteArray parameters = parseSentence( structure, pos ); // FIXME: Read the charset
-    if (parameters.contains("BOUNDARY") ) {
-      content->contentType()->setBoundary(parameters.remove(0, parameters.indexOf("BOUNDARY") + 11).split('\"')[0]);
+    if ( parameters.contains( "BOUNDARY" ) ) {
+      content->contentType()->setBoundary( parameters.remove( 0, parameters.indexOf( "BOUNDARY" ) + 11 ).split( '\"' )[0] );
     }
 
     QByteArray disposition = parseSentence( structure, pos );
-    if ( disposition.contains("INLINE") ) {
+    if ( disposition.contains( "INLINE" ) ) {
       content->contentDisposition()->setDisposition( KMime::Headers::CDinline );
-    } else if ( disposition.contains("ATTACHMENT") ) {
+    } else if ( disposition.contains( "ATTACHMENT" ) ) {
       content->contentDisposition()->setDisposition( KMime::Headers::CDattachment );
     }
 
@@ -374,7 +375,7 @@ void FetchJobPrivate::parseBodyStructure(const QByteArray &structure, int &pos,
   }
 
   // Consume what's left
-  while ( pos<structure.size() && structure[pos]!=')' ) {
+  while ( pos < structure.size() && structure[pos] != ')' ) {
     skipLeadingSpaces( structure, pos );
     parseSentence( structure, pos );
     skipLeadingSpaces( structure, pos );
@@ -385,7 +386,7 @@ void FetchJobPrivate::parseBodyStructure(const QByteArray &structure, int &pos,
 
 void FetchJobPrivate::parsePart( const QByteArray &structure, int &pos, KMime::Content *content )
 {
-  if ( structure[pos]!='(' ) {
+  if ( structure[pos] != '(' ) {
     return;
   }
 
@@ -394,7 +395,7 @@ void FetchJobPrivate::parsePart( const QByteArray &structure, int &pos, KMime::C
   QByteArray mainType = parseString( structure, pos );
   QByteArray subType = parseString( structure, pos );
 
-  content->contentType()->setMimeType( mainType+'/'+subType );
+  content->contentType()->setMimeType( mainType + '/' + subType );
 
   parseSentence( structure, pos ); // Ditch the parameters... FIXME: Read it to get charset and name
   parseString( structure, pos ); // ... and the id
@@ -406,20 +407,20 @@ void FetchJobPrivate::parsePart( const QByteArray &structure, int &pos, KMime::C
   parseString( structure, pos ); // ... and the line count
 
   QByteArray disposition = parseSentence( structure, pos );
-  if ( disposition.contains("INLINE") ) {
+  if ( disposition.contains( "INLINE" ) ) {
     content->contentDisposition()->setDisposition( KMime::Headers::CDinline );
-  } else if ( disposition.contains("ATTACHMENT") ) {
+  } else if ( disposition.contains( "ATTACHMENT" ) ) {
     content->contentDisposition()->setDisposition( KMime::Headers::CDattachment );
   }
-  if ( (content->contentDisposition()->disposition() == KMime::Headers::CDattachment
-        || content->contentDisposition()->disposition() == KMime::Headers::CDinline)
-       && disposition.contains("FILENAME") ) {
-    QByteArray filename = disposition.remove(0, disposition.indexOf("FILENAME") + 11).split('\"')[0];
+  if ( ( content->contentDisposition()->disposition() == KMime::Headers::CDattachment ||
+         content->contentDisposition()->disposition() == KMime::Headers::CDinline ) &&
+       disposition.contains( "FILENAME" ) ) {
+    QByteArray filename = disposition.remove( 0, disposition.indexOf( "FILENAME" ) + 11 ).split( '\"' )[0];
     content->contentDisposition()->setFilename( filename );
   }
 
   // Consume what's left
-  while ( pos<structure.size() && structure[pos]!=')' ) {
+  while ( pos < structure.size() && structure[pos] != ')' ) {
     skipLeadingSpaces( structure, pos );
     parseSentence( structure, pos );
     skipLeadingSpaces( structure, pos );
@@ -433,7 +434,7 @@ QByteArray FetchJobPrivate::parseSentence( const QByteArray &structure, int &pos
 
   skipLeadingSpaces( structure, pos );
 
-  if ( structure[pos]!='(' ) {
+  if ( structure[pos] != '(' ) {
     return parseString( structure, pos );
   }
 
@@ -458,12 +459,12 @@ QByteArray FetchJobPrivate::parseSentence( const QByteArray &structure, int &pos
       stack--;
       break;
     default:
-      skipLeadingSpaces(structure, pos);
-      parseString(structure, pos);
-      skipLeadingSpaces(structure, pos);
+      skipLeadingSpaces( structure, pos );
+      parseString( structure, pos );
+      skipLeadingSpaces( structure, pos );
       break;
     }
-  } while ( pos<structure.size() && stack!=0 );
+  } while ( pos < structure.size() && stack != 0 );
 
   result = structure.mid( start, pos - start );
 
@@ -484,12 +485,12 @@ QByteArray FetchJobPrivate::parseString( const QByteArray &structure, int &pos )
     pos++;
     Q_FOREVER {
       if ( structure[pos] == '\\' ) {
-        pos+= 2;
+        pos += 2;
         foundSlash = true;
         continue;
       }
       if ( structure[pos] == '"' ) {
-        result = structure.mid( start+1, pos - start - 1);
+        result = structure.mid( start + 1, pos - start - 1 );
         pos++;
         break;
       }
@@ -497,27 +498,38 @@ QByteArray FetchJobPrivate::parseString( const QByteArray &structure, int &pos )
     }
   } else { // unquoted string
     Q_FOREVER {
-      if ( structure[pos] == ' ' || structure[pos] == '(' || structure[pos] == ')' || structure[pos] == '[' || structure[pos] == ']' || structure[pos] == '\n' || structure[pos] == '\r' || structure[pos] == '"') {
+      if ( structure[pos] == ' ' ||
+           structure[pos] == '(' ||
+           structure[pos] == ')' ||
+           structure[pos] == '[' ||
+           structure[pos] == ']' ||
+           structure[pos] == '\n' ||
+           structure[pos] == '\r' ||
+           structure[pos] == '"' ) {
         break;
       }
-      if (structure[pos] == '\\')
+      if ( structure[pos] == '\\' ) {
         foundSlash = true;
+      }
       pos++;
     }
 
     result = structure.mid( start, pos - start );
 
     // transform unquoted NIL
-    if ( result == "NIL" )
+    if ( result == "NIL" ) {
       result.clear();
+    }
   }
 
   // simplify slashes
   if ( foundSlash ) {
-    while ( result.contains( "\\\"" ) )
+    while ( result.contains( "\\\"" ) ) {
       result.replace( "\\\"", "\"" );
-    while ( result.contains( "\\\\" ) )
+    }
+    while ( result.contains( "\\\\" ) ) {
       result.replace( "\\\\", "\\" );
+    }
   }
 
   return result;
@@ -525,7 +537,10 @@ QByteArray FetchJobPrivate::parseString( const QByteArray &structure, int &pos )
 
 void FetchJobPrivate::skipLeadingSpaces( const QByteArray &structure, int &pos )
 {
-  while ( structure[pos]==' ' && pos<structure.size() ) pos++;
+  while ( pos < structure.size() && structure[pos] == ' '  ) {
+    pos++;
+  }
 }
 
 #include "fetchjob.moc"
+
diff --git a/kimap/getacljob.cpp b/kimap/getacljob.cpp
index fbe8d80..b218776 100644
--- a/kimap/getacljob.cpp
+++ b/kimap/getacljob.cpp
@@ -19,8 +19,8 @@
 
 #include "getacljob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "acljobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class GetAclJobPrivate : public AclJobBasePrivate
   {
     public:
-      GetAclJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate(session, name) {}
+      GetAclJobPrivate( Session *session, const QString& name ) : AclJobBasePrivate( session, name ) {}
       ~GetAclJobPrivate() { }
 
       QMap<QByteArray, Acl::Rights> userRights;
@@ -42,7 +42,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 GetAclJob::GetAclJob( Session *session )
-  : AclJobBase(  *new GetAclJobPrivate(session, i18n("GetAcl")  ))
+  : AclJobBase( *new GetAclJobPrivate( session, i18n( "GetAcl" ) ) )
 {
 }
 
@@ -52,24 +52,24 @@ GetAclJob::~GetAclJob()
 
 void GetAclJob::doStart()
 {
-  Q_D(GetAclJob);
+  Q_D( GetAclJob );
 
-  d->tags << d->sessionInternal()->sendCommand( "GETACL", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"');
+  d->tags << d->sessionInternal()->sendCommand( "GETACL", '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + '\"' );
 }
 
 void GetAclJob::handleResponse( const Message &response )
 {
-  Q_D(GetAclJob);
-//   qDebug() << response.toString();
+  Q_D( GetAclJob );
+//   kDebug() << response.toString();
 
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() >= 4
-         && response.content[1].toString() == "ACL" ) {
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() >= 4 &&
+         response.content[1].toString() == "ACL" ) {
       int i = 3;
       while ( i < response.content.size() - 1 ) {
         QByteArray id = response.content[i].toString();
         QByteArray rights = response.content[i + 1].toString();
-        d->userRights[id] = Acl::rightsFromString(rights);
+        d->userRights[id] = Acl::rightsFromString( rights );
         i += 2;
       }
     }
@@ -78,15 +78,14 @@ void GetAclJob::handleResponse( const Message &response )
 
 QList<QByteArray> GetAclJob::identifiers() const
 {
-  Q_D(const GetAclJob);
+  Q_D( const GetAclJob );
   return d->userRights.keys();
 }
 
 bool GetAclJob::hasRightEnabled(const QByteArray &identifier, Acl::Right right) const
 {
-  Q_D(const GetAclJob);
-  if (d->userRights.contains(identifier))
-  {
+  Q_D( const GetAclJob );
+  if ( d->userRights.contains( identifier ) ) {
     Acl::Rights rights = d->userRights[identifier];
     return rights & right;
   }
@@ -96,10 +95,9 @@ bool GetAclJob::hasRightEnabled(const QByteArray &identifier, Acl::Right right)
 
 Acl::Rights GetAclJob::rights(const QByteArray &identifier) const
 {
-  Q_D(const GetAclJob);
+  Q_D( const GetAclJob );
   Acl::Rights result;
-  if (d->userRights.contains(identifier))
-  {
+  if ( d->userRights.contains( identifier ) ) {
     result = d->userRights[identifier];
   }
   return result;
@@ -107,8 +105,9 @@ Acl::Rights GetAclJob::rights(const QByteArray &identifier) const
 
 QMap<QByteArray, Acl::Rights> GetAclJob::allRights() const
 {
-  Q_D(const GetAclJob);
+  Q_D( const GetAclJob );
   return d->userRights;
 }
 
-#include "getacljob.moc"
\ No newline at end of file
+#include "getacljob.moc"
+
diff --git a/kimap/getmetadatajob.cpp b/kimap/getmetadatajob.cpp
index 69be41d..4dddce3 100644
--- a/kimap/getmetadatajob.cpp
+++ b/kimap/getmetadatajob.cpp
@@ -19,8 +19,8 @@
 
 #include "getmetadatajob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "metadatajobbase_p.h"
 #include "message_p.h"
@@ -32,7 +32,7 @@ namespace KIMAP
   class GetMetaDataJobPrivate : public MetaDataJobBasePrivate
   {
     public:
-      GetMetaDataJobPrivate( Session *session, const QString& name ) : MetaDataJobBasePrivate(session, name), maxSize(-1), depth("0") { }
+      GetMetaDataJobPrivate( Session *session, const QString& name ) : MetaDataJobBasePrivate( session, name ), maxSize( -1 ), depth( "0" ) { }
       ~GetMetaDataJobPrivate() { }
 
        qint64 maxSize;
@@ -47,7 +47,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 GetMetaDataJob::GetMetaDataJob( Session *session )
-  : MetaDataJobBase( *new GetMetaDataJobPrivate(session, i18n("GetMetaData")) )
+  : MetaDataJobBase( *new GetMetaDataJobPrivate( session, i18n( "GetMetaData" ) ) )
 {
 }
 
@@ -57,94 +57,100 @@ GetMetaDataJob::~GetMetaDataJob()
 
 void GetMetaDataJob::doStart()
 {
-  Q_D(GetMetaDataJob);
+  Q_D( GetMetaDataJob );
   QByteArray parameters;
   parameters = '\"' + KIMAP::encodeImapFolderName( d->mailBox.toUtf8() ) + "\" ";
 
   QByteArray command = "GETMETADATA";
-  if (d->serverCapability == Annotatemore) {
-    d->m_name = i18n("GetAnnotation");
+  if ( d->serverCapability == Annotatemore ) {
+    d->m_name = i18n( "GetAnnotation" );
     command = "GETANNOTATION";
-    if (d->entries.size() > 1)
+    if ( d->entries.size() > 1 ) {
       parameters += '(';
-    Q_FOREACH(const QByteArray &entry, d->entries) {
+    }
+    Q_FOREACH ( const QByteArray &entry, d->entries ) {
       parameters += '\"' + entry + "\" ";
     }
-    if (d->entries.size() > 1)
-      parameters[parameters.length() -1 ] = ')';
-    else
-      parameters.truncate(parameters.length() -1);
+    if ( d->entries.size() > 1 ) {
+      parameters[parameters.length() - 1 ] = ')';
+    } else {
+      parameters.truncate( parameters.length() - 1 );
+    }
 
     parameters += ' ';
 
-    if (d->attributes.size() > 1)
+    if ( d->attributes.size() > 1 ) {
       parameters += '(';
-    Q_FOREACH(const QByteArray &attribute, d->attributes) {
+    }
+    Q_FOREACH ( const QByteArray &attribute, d->attributes ) {
       parameters += '\"' + attribute + "\" ";
     }
-    if (d->attributes.size() > 1)
-      parameters[parameters.length() -1 ] = ')';
-    else
-      parameters.truncate(parameters.length() -1);
+    if ( d->attributes.size() > 1 ) {
+      parameters[parameters.length() - 1 ] = ')';
+    } else {
+      parameters.truncate( parameters.length() - 1 );
+    }
 
   } else {
-    if (d->depth != "0") {
+    if ( d->depth != "0" ) {
       parameters += "(DEPTH " + d->depth;
     }
-    if (d->maxSize != -1) {
-      parameters += "(MAXSIZE " + QByteArray::number(d->maxSize) + ')';
+    if ( d->maxSize != -1 ) {
+      parameters += "(MAXSIZE " + QByteArray::number( d->maxSize ) + ')';
     }
-    if (d->depth != "0") {
+    if ( d->depth != "0" ) {
       parameters += " )";
     }
 
-    if (d->entries.size() > 1)
+    if ( d->entries.size() > 1 ) {
       parameters += '(';
-    Q_FOREACH(const QByteArray &entry, d->entries) {
+    }
+    Q_FOREACH ( const QByteArray &entry, d->entries ) {
       parameters += '\"' + entry + "\" ";
     }
-    if (d->entries.size() > 1)
-      parameters[parameters.length() -1 ] = ')';
+    if ( d->entries.size() > 1 ) {
+      parameters[parameters.length() - 1 ] = ')';
+    }
   }
 
-  if (d->entries.isEmpty()) {
+  if ( d->entries.isEmpty() ) { {
     parameters += ')';
   }
+  }
 
   d->tags << d->sessionInternal()->sendCommand( command, parameters );
-//  qDebug() << "SENT: " << command << " " << parameters;
+//  kDebug() << "SENT: " << command << " " << parameters;
 }
 
 void GetMetaDataJob::handleResponse( const Message &response )
 {
-  Q_D(GetMetaDataJob);
-//  qDebug() << "GOT: " << response.toString();
+  Q_D( GetMetaDataJob );
+//  kDebug() << "GOT: " << response.toString();
 
   //TODO: handle NO error messages having [METADATA MAXSIZE NNN], [METADATA TOOMANY], [METADATA NOPRIVATE] (see rfc5464)
   // or [ANNOTATEMORE TOOBIG], [ANNOTATEMORE TOOMANY] respectively
-  if (handleErrorReplies(response) == NotHandled ) {
+  if ( handleErrorReplies( response ) == NotHandled  ) {
     if ( response.content.size() >= 4 ) {
-      if (d->serverCapability == Annotatemore && response.content[1].toString() == "ANNOTATION" ) {
+      if ( d->serverCapability == Annotatemore && response.content[1].toString() == "ANNOTATION" ) {
         QString mailBox = QString::fromUtf8( KIMAP::decodeImapFolderName( response.content[2].toString() ) );
 
         int i = 3;
-        while (i < response.content.size() - 1) {
+        while ( i < response.content.size() - 1 ) {
           QByteArray entry = response.content[i].toString();
           QList<QByteArray> attributes = response.content[i + 1].toList();
           int j = 0;
-          while ( j < attributes.size() - 1) {
+          while ( j < attributes.size() - 1 ) {
             d->metadata[mailBox][entry][attributes[j]] = attributes[j + 1];
             j += 2;
           }
           i += 2;
         }
-      } else
-      if (d->serverCapability == Metadata && response.content[1].toString() == "METADATA" ) {
+      } else if ( d->serverCapability == Metadata && response.content[1].toString() == "METADATA" ) {
         QString mailBox = QString::fromUtf8( KIMAP::decodeImapFolderName( response.content[2].toString() ) );
 
         QList<QByteArray> entries = response.content[3].toList();
         int i = 0;
-        while ( i < entries.size() - 1) {
+        while ( i < entries.size() - 1 ) {
           d->metadata[mailBox][entries[i]][""] = entries[i + 1];
           i += 2;
         }
@@ -155,25 +161,25 @@ void GetMetaDataJob::handleResponse( const Message &response )
 
 void GetMetaDataJob::addEntry(const QByteArray &entry, const QByteArray &attribute)
 {
-  Q_D(GetMetaDataJob);
-  if (d->serverCapability == Annotatemore && attribute.isNull())
+  Q_D( GetMetaDataJob );
+  if ( d->serverCapability == Annotatemore && attribute.isNull() ) {
     qWarning() << "In ANNOTATEMORE mode an attribute must be specified with addEntry!";
-  d->entries.append(entry);
-  d->attributes.append(attribute);
+  }
+  d->entries.append( entry );
+  d->attributes.append( attribute );
 }
 
 void GetMetaDataJob::setMaximumSize(qint64 size)
 {
-  Q_D(GetMetaDataJob);
+  Q_D( GetMetaDataJob );
   d->maxSize = size;
 }
 
 void GetMetaDataJob::setDepth(Depth depth)
 {
-  Q_D(GetMetaDataJob);
+  Q_D( GetMetaDataJob );
 
-  switch (depth)
-  {
+  switch ( depth ) {
     case OneLevel:
       d->depth = "1"; //krazy:exclude=doublequote_chars
       break;
@@ -187,26 +193,27 @@ void GetMetaDataJob::setDepth(Depth depth)
 
 QByteArray GetMetaDataJob::metaData(const QString &mailBox, const QByteArray &entry, const QByteArray &attribute) const
 {
-  Q_D(const GetMetaDataJob);
+  Q_D( const GetMetaDataJob );
   QByteArray attr = attribute;
 
-  if (d->serverCapability == Metadata)
+  if ( d->serverCapability == Metadata ) {
      attr = "";
+  }
 
   QByteArray result;
-  if (d->metadata.contains(mailBox)) {
-    if (d->metadata[mailBox].contains(entry)) {
-      result = d->metadata[mailBox][entry].value(attr);
+  if ( d->metadata.contains( mailBox ) ) {
+    if ( d->metadata[mailBox].contains( entry ) ) {
+      result = d->metadata[mailBox][entry].value( attr );
     }
   }
-
   return result;
 }
 
 QMap<QByteArray, QMap<QByteArray, QByteArray> > GetMetaDataJob::allMetaData(const QString &mailBox) const
 {
-  Q_D(const GetMetaDataJob);
+  Q_D( const GetMetaDataJob );
   return d->metadata[mailBox];
 }
 
-#include "getmetadatajob.moc"
\ No newline at end of file
+#include "getmetadatajob.moc"
+
diff --git a/kimap/getquotajob.cpp b/kimap/getquotajob.cpp
index 9d1efb0..35d901e 100644
--- a/kimap/getquotajob.cpp
+++ b/kimap/getquotajob.cpp
@@ -19,8 +19,8 @@
 
 #include "getquotajob.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 #include "quotajobbase_p.h"
 #include "message_p.h"
@@ -31,7 +31,7 @@ namespace KIMAP
   class GetQuotaJobPrivate : public QuotaJobBasePrivate
   {
     public:
-      GetQuotaJobPrivate( Session *session, const QString& name ) : QuotaJobBasePrivate(session, name) { }
+      GetQuotaJobPrivate( Session *session, const QString& name ) : QuotaJobBasePrivate( session, name ) { }
       ~GetQuotaJobPrivate() { }
 
       QByteArray root;
@@ -41,7 +41,7 @@ namespace KIMAP
 using namespace KIMAP;
 
 GetQuotaJob::GetQuotaJob( Session *session )
-  : QuotaJobBase( *new GetQuotaJobPrivate(session, i18n("GetQuota")) )
+  : QuotaJobBase( *new GetQuotaJobPrivate( session, i18n( "GetQuota" ) ) )
 {
 }
 
@@ -51,34 +51,33 @@ GetQuotaJob::~GetQuotaJob()
 
 void GetQuotaJob::doStart()
 {
-  Q_D(GetQuotaJob);
+  Q_D( GetQuotaJob );
   //XXX: [alexmerry, 2010-07-24]: should d->root be quoted properly?
-  d->tags << d->sessionInternal()->sendCommand( "GETQUOTA", '\"' + d->root + '\"');
+  d->tags << d->sessionInternal()->sendCommand( "GETQUOTA", '\"' + d->root + '\"' );
 }
 
 void GetQuotaJob::handleResponse(const Message &response)
 {
-  Q_D(GetQuotaJob);
-  if (handleErrorReplies(response) == NotHandled) {
-    if ( response.content.size() >= 4
-         && response.content[1].toString() == "QUOTA" ) {
-      d->quota = d->readQuota(response.content[3]);
+  Q_D( GetQuotaJob );
+  if ( handleErrorReplies( response ) == NotHandled ) {
+    if ( response.content.size() >= 4 &&
+         response.content[1].toString() == "QUOTA" ) {
+      d->quota = d->readQuota( response.content[3] );
     }
   }
 }
 
 void GetQuotaJob::setRoot(const QByteArray& root)
 {
-  Q_D(GetQuotaJob);
-
+  Q_D( GetQuotaJob );
   d->root = root;
 }
 
 QByteArray GetQuotaJob::root() const
 {
-  Q_D(const GetQuotaJob);
-
+  Q_D( const GetQuotaJob );
   return d->root;
 }
 
-#include "getquotajob.moc"
\ No newline at end of file
+#include "getquotajob.moc"
+
